Bug 260807 - graphics/drm-{fbsd13,current,devel}-kmod: Update for drm-kmod lkpi 5.7
Summary: graphics/drm-{fbsd13,current,devel}-kmod: Update for drm-kmod lkpi 5.7
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-29 21:14 UTC by Vladimir Kondratyev
Modified: 2022-01-28 10:08 UTC (History)
2 users (show)

See Also:
manu: maintainer-feedback+


Attachments
drm-kmod.patch (4.11 KB, patch)
2021-12-29 21:14 UTC, Vladimir Kondratyev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kondratyev freebsd_committer 2021-12-29 21:14:31 UTC
Created attachment 230548 [details]
drm-kmod.patch

This patch can be applied to ports tree before actual LKPI 5.7 base system commits
Comment 1 Vladimir Kondratyev freebsd_committer 2022-01-10 15:53:22 UTC
ping.
Comment 2 Emmanuel Vadot freebsd_committer 2022-01-10 16:08:48 UTC
I've accepted ~30 mins after you opened this PR.
Comment 3 Vladimir Kondratyev freebsd_committer 2022-01-10 16:15:17 UTC
I have missed this somehow. Sorry for disturbing.
Comment 4 commit-hook freebsd_committer 2022-01-10 16:21:10 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4519b9e81473444a7a2ac2bffe2158bd2da05b36

commit 4519b9e81473444a7a2ac2bffe2158bd2da05b36
Author:     Vladimir Kondratyev <wulf@FreeBSD.org>
AuthorDate: 2021-12-29 21:02:16 +0000
Commit:     Vladimir Kondratyev <wulf@FreeBSD.org>
CommitDate: 2022-01-10 16:19:48 +0000

    graphics/drm-{fbsd13,current,devel}-kmod: Update after drm-kmod lkpi 5.7

    PR:             260807
    Approved by:    x11 (manu)

 graphics/drm-current-kmod/Makefile | 4 ++--
 graphics/drm-current-kmod/distinfo | 6 +++---
 graphics/drm-devel-kmod/Makefile   | 4 ++--
 graphics/drm-devel-kmod/distinfo   | 6 +++---
 graphics/drm-fbsd13-kmod/Makefile  | 4 ++--
 graphics/drm-fbsd13-kmod/distinfo  | 6 +++---
 6 files changed, 15 insertions(+), 15 deletions(-)
Comment 5 commit-hook freebsd_committer 2022-01-28 10:08:48 UTC
A commit in branch 2022Q1 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=89fe9b0caf6598d51c6e7d5583acdb32c65aefec

commit 89fe9b0caf6598d51c6e7d5583acdb32c65aefec
Author:     Vladimir Kondratyev <wulf@FreeBSD.org>
AuthorDate: 2021-12-29 21:02:16 +0000
Commit:     Emmanuel Vadot <manu@FreeBSD.org>
CommitDate: 2022-01-28 10:07:38 +0000

    graphics/drm-{fbsd13,current,devel}-kmod: Update after drm-kmod lkpi 5.7

    PR:             260807
    Approved by:    x11 (manu)

    (cherry picked from commit 4519b9e81473444a7a2ac2bffe2158bd2da05b36)

 graphics/drm-current-kmod/Makefile | 4 ++--
 graphics/drm-current-kmod/distinfo | 6 +++---
 graphics/drm-devel-kmod/Makefile   | 4 ++--
 graphics/drm-devel-kmod/distinfo   | 6 +++---
 graphics/drm-fbsd13-kmod/Makefile  | 4 ++--
 graphics/drm-fbsd13-kmod/distinfo  | 6 +++---
 6 files changed, 15 insertions(+), 15 deletions(-)